Capsule API Example

Loading...
Searching...
No Matches
Typedefs | Enumerations | Functions
CDeviceInfo.h File Reference
`#include "CDefinesPrivate.h"`

Go to the source code of this file.

## Typedefs
typedef enum clCDeviceType | clCDeviceType
| Device type.

## Enumerations
enum | clCDeviceType { clCDeviceType_Headband = 0 , clCDeviceType_Buds = 1 , clCDeviceType_Headphones = 2 , clCDeviceType_Impulse = 3 , clCDeviceType_Any = 4 , clCDeviceType_BrainBit = 6 , clCDeviceType_SinWave = 100 , clCDeviceType_Noise = 101 }
| Device type. More...

## Functions
| CLC_STRUCT_WNN (DeviceInfo, clCDeviceInfo, device)
| Device info list.
CL_DLL const char * | clCDeviceInfo_GetSerial (clCDeviceInfo device) NOEXCEPT
CL_DLL const char * | clCDeviceInfo_GetName (clCDeviceInfo device) NOEXCEPT
CL_DLL clCDeviceType | clCDeviceInfo_GetType (clCDeviceInfo device) NOEXCEPT

## Typedef Documentation

## ◆ clCDeviceType

typedef enum clCDeviceType clCDeviceType

Device type.

## Enumeration Type Documentation

## ◆ clCDeviceType

enum clCDeviceType

Device type.

Enumerator
clCDeviceType_Headband |
clCDeviceType_Buds |
clCDeviceType_Headphones |
clCDeviceType_Impulse |
clCDeviceType_Any |
clCDeviceType_BrainBit |
clCDeviceType_SinWave |
clCDeviceType_Noise |

## Function Documentation

## ◆ CLC_STRUCT_WNN()

CLC_STRUCT_WNN | ( | DeviceInfo | ,
|  | clCDeviceInfo | ,
|  | device | )

Device info list.

Contains device information: name, id (serial number) and type

## ◆ clCDeviceInfo_GetName()

CL_DLL const char * clCDeviceInfo_GetName | ( | clCDeviceInfo | device | ) |

Get device name.

Parameters

  device | device info handle

Returns
  device name string

## ◆ clCDeviceInfo_GetSerial()

CL_DLL const char * clCDeviceInfo_GetSerial | ( | clCDeviceInfo | device | ) |

Get device ID (serial number).

Parameters

  device | device info handle

Returns
  device ID string

## ◆ clCDeviceInfo_GetType()

CL_DLL clCDeviceType clCDeviceInfo_GetType | ( | clCDeviceInfo | device | ) |

Get device type.

Parameters

  device | device info handle

Returns
  device type